import { PnpmContext } from './getContext';
import { PnpmOptions, StrictPnpmOptions, Package } from '../types';
import { Graph } from '../fs/graphController';
export default function uninstallCmd(pkgsToUninstall: string[], maybeOpts?: PnpmOptions): Promise<void>;
export declare function uninstallInContext(pkgsToUninstall: string[], pkg: Package, ctx: PnpmContext, opts: StrictPnpmOptions): Promise<void>;
export declare function tryUninstall(pkgIds: string[], graph: Graph, pkgPath: string): string[];
export declare function removePkgFromStore(pkgId: string, store: string): any;
